# Awesome Vim

Plugins are organized by section and ordered alphabetically.

## Table of Contents

  1. [Learning Vim](#learning-vim)
  2. [Plugin Management](#plugin-management)
  3. [Colors](#colors)
  4. [Tools](#tools)
  5. [Language Specific](#language-specific)
  6. [Framework Specific](#framework-specific)
  7. [Distributions](#distributions)
  8. [Websites](#websites)
  9. [Contributing](#contributing)
  10. [License](#license)


## Learning Vim

* [Seven habits of effective text editing](http://www.moolenaar.net/habits.html)
* [The Way of the Vim Warrior](https://github.com/dahu/LearnVim)
* [Learn Vimscript the Hard Way](http://learnvimscriptthehardway.stevelosh.com/)
* [Vim Adventures](http://vim-adventures.com/)
* [Vim Genius](http://www.vimgenius.com/)
* [Vim Tips](http://zzapper.co.uk/vimtips.html)
* [Fortune vimtips](https://github.com/hobbestigrou/vimtips-fortune)
* [Vim Galore](https://github.com/mhinz/vim-galore)


## Plugin Management

* [Neobundle](https://github.com/Shougo/neobundle.vim)
* [Pathogen](https://github.com/tpope/vim-pathogen)
* [VAM](https://github.com/MarcWeber/vim-addon-manager)
* [Vim-plug](https://github.com/junegunn/vim-plug)
* [Vundle](https://github.com/gmarik/Vundle.vim)


## Colors

* [Apprentice](https://github.com/romainl/Apprentice)
* [Base16](https://github.com/chriskempson/base16-vim/)
* [Jellybeans](https://github.com/nanotech/jellybeans.vim)
* [Molokai](https://github.com/tomasr/molokai)
* [Solarized](https://github.com/altercation/vim-colors-solarized)


## Tools

### Editing

* [Abolish](https://github.com/tpope/vim-abolish)
* [Align](https://github.com/vim-scripts/Align)
* [DelimitMate](https://github.com/Raimondi/delimitMate)
* [EditorConfig](https://github.com/editorconfig/editorconfig-vim)
* [ExpandRegion](https://github.com/terryma/vim-expand-region)
* [Gundo](https://github.com/sjl/gundo.vim)
* [IndentGuides](https://github.com/nathanaelkane/vim-indent-guides)
* [NerdCommenter](https://github.com/scrooloose/nerdcommenter)
* [Repeat](https://github.com/tpope/vim-repeat)
* [Surround](https://github.com/tpope/vim-surround)
* [Tabular](https://github.com/godlygeek/tabular)
* [Targets](https://github.com/wellle/targets.vim)
* [TComment](https://github.com/tomtom/tcomment_vim)
* [TextobjIndent](https://github.com/kana/vim-textobj-indent)
* [TextobjUser](https://github.com/kana/vim-textobj-user)
* [TextobjWordColumn](https://github.com/coderifous/textobj-word-column.vim)
* [Unimpaired](https://github.com/tpope/vim-unimpaired)
* [VisualSplit](https://github.com/wellle/visual-split.vim)
* [YankStack](https://github.com/maxbrunsfeld/vim-yankstack)

### File Management

* [Dirvish](https://github.com/justinmk/vim-dirvish)
* [NERDTree](https://github.com/scrooloose/nerdtree)
* [Vinegar](https://github.com/tpope/vim-vinegar)

### Git

* [Fugitive](https://github.com/tpope/vim-fugitive)
* [vim-gitgutter](https://github.com/airblade/vim-gitgutter)

### Interface

* [Airline](https://github.com/bling/vim-airline) + [Airline Themes](https://github.com/vim-airline/vim-airline-themes)
* [vim-lastplace](https://github.com/farmergreg/vim-lastplace)
* [Signify](https://github.com/mhinz/vim-signify)
* [Startify](https://github.com/mhinz/vim-startify)

### Searching

* [Ack](https://github.com/mileszs/ack.vim)
* [CtrlP](https://github.com/ctrlpvim/ctrlp.vim)
* [vim-codequery](https://github.com/devjoe/vim-codequery)

### Task Running

* [Dispatch](https://github.com/tpope/vim-dispatch)

### Text Navigation

* [EasyMotion](https://github.com/easymotion/vim-easymotion)
* [Sneak](https://github.com/justinmk/vim-sneak)

### Snippets

* [Snippets](https://github.com/honza/vim-snippets)
* [UltiSnips](https://github.com/sirver/UltiSnips)

### Syntax/Completion

* [Asynchronous Lint Engine](https://github.com/w0rp/ale)
* [Neocomplete](https://github.com/Shougo/neocomplete.vim)
* [Syntastic](https://github.com/scrooloose/syntastic)
* [TmuxComplete](https://github.com/wellle/tmux-complete.vim)
* [YouCompleteMe](https://github.com/Valloric/YouCompleteMe)


## Language Specific

* [Codi](https://github.com/metakirby5/codi.vim)
* [Polyglot](https://github.com/sheerun/vim-polyglot)

### HTML

* [MatchTagAlways](https://github.com/valloric/MatchTagAlways)
* [vim-ionic2](https://github.com/akz92/vim-ionic2)

### Java

* [Eclim](http://eclim.org/)
* [Ensime](http://ensime.org/editors/vim/)

### Javascript

* [JavascriptLibrariesSyntax](https://github.com/othree/javascript-libraries-syntax.vim)
* [TernForVim](https://github.com/marijnh/tern_for_vim)

### Markdown

* [vim-instant-markdown](https://github.com/suan/vim-instant-markdown)
* [vim-markdown-toc](https://github.com/mzlogin/vim-markdown-toc)

### PHP

* [PDV](https://github.com/tobyS/pdv)

### Python

* [PythonMode](https://github.com/klen/python-mode)

### Ruby

* [Endwise](https://github.com/tpope/vim-endwise)

### XML

* [xmledit](https://github.com/sukima/xmledit/)

## Framework Specific

### Django

* [htmldjango autocomplete](https://github.com/mjbrownie/vim-htmldjango_omnicomplete)
* [Pony](https://github.com/jmcomets/vim-pony/)

### Rails

* [Rails](https://github.com/tpope/vim-rails)

## Distributions

* [Janus](https://github.com/carlhuda/janus)
* [spf13](https://github.com/spf13/spf13-vim)

## Websites

* [Vim Bootstrap](http://vim-bootstrap.com/)
* [usevim](http://usevim.com/)
* [Vim Awesome](http://vimawesome.com/)
* [Vivify](http://bytefluent.com/vivify/)
* [/r/vim](http://www.reddit.com/r/vim)
* [Vimcasts](http://vimcasts.org/)

## Contributing

* Please read the [contribution guidelines](https://github.com/akrawchyk/awesome-vim/blob/master/contributing.md)

## License

* [MIT License](https://github.com/akrawchyk/awesome-vim/blob/master/LICENSE)


Shameless plug for my vimrc [akrawchyk/dotfiles](https://github.com/akrawchyk/dotfiles/tree/master/vim).
